import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/EnterpriseAuthentication',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/EnterpriseAuthentication/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/EnterpriseAuthentication',
    method: 'put',
    data
  })
}

export function getAuthenticationList(data) {
  return request({
    url: 'api/EnterpriseAuthentication/getAuthenticationList?page='+data.page+'&size='+data.size,
    method: 'post',
    data
  })
}

export function examineAuthenticationInfo(data) {
  return request({
    url: '/api/EnterpriseAuthentication/examineAuthenticationInfo ',
    method: 'post',
    data
  })
}

export default { add, edit, del , getAuthenticationList, examineAuthenticationInfo }
