import request from '@/utils/request'
import qs from 'qs'

export function add(data) {
  return request({
    url: 'api/Resources',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/Resources/',
    method: 'delete',
    data: ids
  })  
}

export function edit(data) {
  return request({
    url: 'api/Resources',
    method: 'put',
    data
  })
}

export function getResourceList(data) {
  return request({
    url: 'api/Resources/listResource'+ '?' + qs.stringify(data, { indices: false }),
    method: 'get'
  })
}

export function examineResources(data) {
  return request({
    url: 'api/Resources/examineResources',
    method: 'post',
    data
  })
}
export default { add, edit, del, getResourceList }
